package de.fraunhofer.iem.kpiCalculator.core

import de.fraunhofer.iem.kpiCalculator.model.kpi.KpiId
import de.fraunhofer.iem.kpiCalculator.model.kpi.RawValueKpiDto
import de.fraunhofer.iem.kpiCalculator.model.kpi.hierarchy.DefaultHierarchy
import org.junit.jupiter.api.Test

class KpiCalculatorTest {

    @Test
    fun calculateKpis() {
        val rawValueKpiDtos = listOf(
            RawValueKpiDto(kind = KpiId.VULNERABILITY_SCORE, score = 8),
            RawValueKpiDto(kind = KpiId.VULNERABILITY_SCORE, score = 9),
            RawValueKpiDto(kind = KpiId.CHECKED_IN_BINARIES, score = 100),
            RawValueKpiDto(kind = KpiId.COMMENTS_IN_CODE, score = 80),
            RawValueKpiDto(kind = KpiId.NUMBER_OF_COMMITS, score = 90),
            RawValueKpiDto(kind = KpiId.IS_DEFAULT_BRANCH_PROTECTED, score = 100),
            RawValueKpiDto(kind = KpiId.NUMBER_OF_SIGNED_COMMITS, score = 80),
            RawValueKpiDto(kind = KpiId.SECRETS, score = 80),
            RawValueKpiDto(kind = KpiId.SAST_USAGE, score = 80),
            RawValueKpiDto(kind = KpiId.DOCUMENTATION_INFRASTRUCTURE, score = 80),
        )
        val res = KpiCalculator.calculateKpis(DefaultHierarchy.get(), rawValueKpiDtos)
        println(res)
    }
}
